Bug 142725 (IT_56083) - [PATCH] video1394 fixes
Summary: [PATCH] video1394 fixes
Status: CLOSED ERRATA
Alias: IT_56083
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 132991
TreeView+ depends on / blocked
 
Reported: 2004-12-13 13:01 UTC by Bastien Nocera
Modified: 2007-11-30 22:07 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-18 13:28:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dma_c_and_h.fix (3.97 KB, text/plain)
2004-12-13 13:02 UTC, Bastien Nocera
no flags Details
iso_c.fix (451 bytes, patch)
2004-12-13 13:02 UTC, Bastien Nocera
no flags Details | Diff
video1394.fix (367 bytes, patch)
2004-12-13 13:03 UTC, Bastien Nocera
no flags Details | Diff
Alternative proposal (702 bytes, patch)
2005-01-08 22:41 UTC, Pete Zaitcev
no flags Details | Diff
linux-2.4.21-firewire-video.patch (1.36 KB, patch)
2005-02-15 10:20 UTC, Bastien Nocera
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:294 normal SHIPPED_LIVE Moderate: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 5 2005-05-18 04:00:00 UTC

Description Bastien Nocera 2004-12-13 13:01:12 UTC
kernel crashes with:
dma_region_alloc: kmalloc(sglist) failed
video1394_0: Failed to allocate dma buffer
Unable to handle kernel NULL pointer dereference at virtual address
0000004

when trying to use a video1394 device (video firewire device).

The patches are from:
http://sourceforge.net/mailarchive/message.php?msg_id=7184023

Comment 1 Bastien Nocera 2004-12-13 13:02:19 UTC
Created attachment 108434 [details]
dma_c_and_h.fix

Comment 2 Bastien Nocera 2004-12-13 13:02:53 UTC
Created attachment 108435 [details]
iso_c.fix

Comment 3 Bastien Nocera 2004-12-13 13:03:19 UTC
Created attachment 108436 [details]
video1394.fix

Comment 8 Pete Zaitcev 2005-01-08 22:41:35 UTC
Created attachment 109523 [details]
Alternative proposal

I don't think we want a big pile of ugly changes when the problem
is sharply defined.

Comment 9 Bastien Nocera 2005-02-15 10:20:06 UTC
Created attachment 111078 [details]
linux-2.4.21-firewire-video.patch

Comment 10 Ernie Petrides 2005-02-17 13:53:52 UTC
The patch in comment #9 has just been committed to the RHEL3 U5
patch pool this evening (in kernel version 2.4.21-27.15.EL).


Comment 11 Tim Powers 2005-05-18 13:28:51 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-294.html



Note You need to log in before you can comment on or make changes to this bug.